#
# spec file for package xcin (Version 2.5.3.pre2)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  db db-devel libtabe libtabe-devel x-devel-packages
# usedforbuild    aaa_base acl attr bash bind9-utils bison cpio cpp cyrus-sasl db devs diffutils e2fsprogs file filesystem fileutils fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip kbd less libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail sh-utils shadow strace syslogd sysvinit tar texinfo textutils timezone unitedlinux-release unzip util-linux vim zlib-devel autoconf automake binutils bzip2 cracklib db-devel gcc gdbm gettext libtabe libtabe-devel libtool perl rpm xdevel xshared zlib

Name:         xcin
License:      GPL
Group:        System/I18n/Chinese
Autoreqprov:  on
Version:      2.5.3.pre2
Release:      434
Summary:      An X Input Method Server for Chinese.
Source0:      ftp://xcin.linux.org.tw/pub/xcin/xcin/devel/xcin-2.5.3.pre2.tar.bz2
Patch0:       xcin-2.5.3.pre2-xcinrc.patch
Patch1:       xcin-64bit.patch
Patch2:       shift-ctrl-endian-problem.patch
Patch3:       xcin-2.5.3.pre2-195-xim_IC.patch
URL:          http://xcin.linux.org.tw/
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
An X Input Method Server for Chinese.

Authors:
--------
    Tung-Han Hsieh  <thhsieh@linux.org.tw>
    XCIN Team       <xcin@linux.org.tw>

%prep
%setup -q -n xcin
%patch0 -p 1 -b .xcinrc
%patch1 -p 1 -b .64bit
%patch2 -p 1 -b .shift-ctrl-endian-problem
%patch3 -p 1 -b .xim_IC
find -type d | xargs chmod 755
find . -name CVS | xargs rm -rf

%build
rm -f config.cache
%{?suse_update_config:%{suse_update_config -f}}
mv script/configure.in .
libtoolize --force
aclocal
autoconf
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr/X11R6 \
            --libdir=/usr/X11R6/%{_lib} \
            --with-xcin-dir=/usr/X11R6/lib/X11/xcin \
            --with-xcin-rcdir=/etc/xcin \
	    --with-db-inc=/usr/include/db4 \
            %{_target_cpu}-suse-linux-gnu
make tabe_data="/usr/lib/tabe/"

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
mkdir -p %{buildroot}/{etc,usr/X11R6/{bin,man,lib/X11/xcin/tab}}
make -e  program_prefix=$RPM_BUILD_ROOT install
	       

%clean 
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%doc doc/*
%config /etc/xcin/*
/usr/X11R6/bin/*
/usr/X11R6/man/man*/*
/usr/X11R6/%{_lib}/lib*
/usr/X11R6/lib/X11/xcin/
/usr/X11R6/share/locale/*

%changelog -n xcin
* Wed Jun 02 2004 - mfabian@suse.de
- Bugzilla #39087: Egbert improved the patch a bit to use fixed
  size types (like CARD32) not variable sizes (like unsigned long).
* Tue Jun 01 2004 - mfabian@suse.de
- Bugzilla #39087: instead of the patch applied in the last
  changelog entry, use the new patch Mitsuru CHINEN's developed
  after discussion with Egbert Eich.
* Thu May 27 2004 - mfabian@suse.de
- Bugzilla #39087: "LTC7609-xcin doesn't return a valid value by
  XGetICValues on AMD64": apply fix supplied by Mitsuru CHINEN.
* Fri Jan 30 2004 - mfabian@suse.de
- add shift-ctrl-endian-problem.patch, see Bugzilla #32149.
  Patch thanks to Mitsuru CHINEN <mchinen@yamato.ibm.com>.
* Wed Jun 11 2003 - mfabian@suse.de
- fix Bugzilla #27180:
  (cannot type any keys in remote X client with xcin on SLES8 z64)
  Thanks to Mitsuru Chinen <mchinen@yamato.ibm.com>
* Fri Aug 30 2002 - mfabian@suse.de
- fix keybinding in xcinrc
* Wed Aug 28 2002 - mfabian@suse.de
- use libtoolize, aclocal, autoconf to make it build on x86_64
  and s390x.
* Tue Aug 27 2002 - mfabian@suse.de
- upgrade to xcin-2.5.3.pre2 to be able to link against
  libtabe 0.2.6, which makes it possible to use db4 instead of db2.
  With db4, libtabe and xcin work on the 64 bit platforms as well.
* Mon Jun 24 2002 - ro@suse.de
- fixed directory permissions
* Fri Jan 18 2002 - mfabian@suse.de
- link both xcin and libtabe against the version of db2 contained
  in glibc as berkdb2 is dropped from SuSE Linux. xcin and libtabe
  work well with this version of db2 as well, it looks like
  one only has to make sure that both are linked against the same
  version of db2.
  (use --with-dbinc=/usr/include/db2 and remove --with-dbinc
  completely)
* Fri Sep 14 2001 - mfabian@suse.de
- add --with-dblib=/usr/lib/BerkeleyDB/lib, without that
  xcin links against /usr/lib/libdb2.so instead of
  /usr/lib/BerkeleyDB/lib/libdb.a which prevents the bimsphone
  and bimspinyin input methods from working.
- make cj the default input method again for the zh_TW.Big5 locale
  (cj is better according to Hartmut Pilch)
* Thu Sep 13 2001 - mfabian@suse.de
- remove explicit "Requires: libtabe"
* Tue Sep 11 2001 - mfabian@suse.de
- upgrade to 2.5.2.3, bugfix release:
  * bugs fixed in bimsphone multiple-phrases choosing, gui_overspot
  drawing, gen_inp wild mode selection, and other places.
  * Update xcin/cin/big5/jyutping0.cin.
- add entry for pinyin input method for Big5 to /etc/xcin/xcinrc
  make pinyin the default input methode for the zh_TW.Big5 locale
* Thu Apr 19 2001 - mfabian@suse.de
- fix zh_TW.po for gettext 0.10.36 (remove extra backslashs)
* Wed Feb 21 2001 - phm@suse.de, mfabian@suse.de
- built version 2.5.2.2 and checked into autobuild
* Tue Jun 29 1999 - Chester Kuo <B8502004@mail.ntust.edu.tw>
- rebuil on SuSE-6.1 and update DB2
* Sat Jun 19 1999 - Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- for xcin-2.5.0-pre3
* Sun May 02 1999 - Cheng Yuan-Cheng <platin@cle.linux.org.tw>
- first build xcin-2.5
